Skip to main content
GET
/
api
/
v1
/
openclaw
/
reddit
/
subreddit
/
search
Subreddit Search
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/reddit/subreddit/search \
  --header 'Authorization: Bearer <token>'

Parameters

subreddit
string
required
Subreddit name (e.g. ‘Fitness’, not ‘r/Fitness’ or a full URL)
query
string
Search query to find matching content (e.g., push ups)
filter
string
Type of content to search for (default: posts). Response will only include the matching key (e.g. filter=posts returns only ‘posts’, not ‘comments’ or ‘media’)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/reddit/subreddit/search?subreddit=EXAMPLE" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "posts": [
      {
        "id": "t3_8gmjrb",
        "title": "Is doing 50-100 pushups a day doing anything?",
        "url": "https://www.reddit.com/r/Fitness/comments/8gmjrb/...",
        "subreddit": { "id": "t5_2qhx4", "name": "Fitness" }
      }
      // ... more posts
    ]
  },
  "meta": {
    "platform": "reddit",
    "endpoint": "subreddit-search",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.